Page MenuHomePhabricator

Message about /doc page should not be displayed as an "error"
Closed, ResolvedPublic

Description

When opening the edit page for a template, I often get an "error" informing me about documentation on the /doc page. This is confusing to the user. Often I have no intention of changing the documentation, I'm there to edit the template.

Especially on larger wikis where /doc is the majority case, this error is almost always wrong.

It should either be rendered only when engaging the templatedata editor, or be reduced to "info" level (e.g. blue or grey?).

Event Timeline

Krinkle created this task.Jun 24 2015, 10:07 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added projects: TemplateData, Design.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 10:07 PM
Jdforrester-WMF triaged this task as Low priority.Sep 17 2015, 6:37 PM

Change 263887 had a related patch set uploaded (by Alex Monk):
Show message about related pages (e.g. /doc) as a warning, not an error

https://gerrit.wikimedia.org/r/263887

Krenair claimed this task.Jan 13 2016, 6:21 PM
Krenair moved this task from Backlog to Doing on the TemplateData board.

Change 263887 merged by jenkins-bot:
Show message about related pages (e.g. /doc) as a warning, not an error

https://gerrit.wikimedia.org/r/263887

matmarex closed this task as Resolved.Jan 15 2016, 9:06 AM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.